﻿<?php
/***
    Copyright (C) 2011  Saif Maki <saifmaki@gmail.com>.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
***/
 
	$current_page = 'cp';
	$page_title = 'لوحة التحكم';
	
	$extra_code = '
	
		<script type="text/javascript" language="javascript" src="../includes/jquery-1.4.2.min.js"></script>
		<script type="text/javascript" language="javascript">
		
			function editlink(loldlink, lpath) {
				var newlink = prompt("الرجاء قم بإدخال الرابط الجديد", loldlink);
				if (newlink != null && newlink != "") {
					$.ajax({  
						type: "POST",  
						url: "edit.php",  
						data: "loldlink="+ loldlink +"& newlink="+ newlink +"& lpath="+ lpath,  
						success: function(){  
							alert("تم تعديل الرابط بنجاح. سوف يتم الآن تحديث الصفحة لكي تستطيع رؤية الرابط المعدل");
							window.location.reload();
						}
					});
				}
			}
		
			$(document).ready(function() {
			
				$(".tab_content").hide();
				$("ul.tabs li:first").addClass("active").show();
				$(".tab_content:first").show();
			
				$("ul.tabs li").click(function() {
			
					$("ul.tabs li").removeClass("active");
					$(this).addClass("active");
					$(".tab_content").hide();
			
					var activeTab = $(this).find("a").attr("href");
					$(activeTab).fadeIn();
					return false;
				});
						
				$("#btn_ua").click(function() {  
			
				$("#ua_status").attr("src", "../images/loading.gif");
			
					var fname = $("#fname").attr("value");
					var lname = $("#lname").attr("value");
					var password = $("#password").attr("value");
					var password2 = $("#password2").attr("value");
					var email = $("#email").attr("value");
					var country = $("#country option:selected").val();
					var website = $("#website").attr("value");
					var bio = $("#bio").attr("value");
					var id = $("#id").attr("value");
					
					if (password != "" && password2 == "") {
						$("#ua_status").attr("src", "../images/faild.png");
						alert("الرجاء أعد كتابة كلمة المرور في الخانة الثانية");
						return false;
					}
					
					if (password2 != "" && password == "") {
						$("#ua_status").attr("src", "../images/faild.png");
						alert("الرجاء كتابة كلمة المرور في الخانة الأولى");
						return false;
					}
					
					if (password != password2) {
						$("#ua_status").attr("src", "../images/faild.png");
						alert("الرجاء تأكد من أن كلمة المرور الأولى و الثانية متطابقة");
						return false;
					}
					
						$.ajax({  
							type: "POST",  
							url: "ua.php",  
							data: "fname="+ fname +"& lname="+ lname +"& password="+ password +"& email="+ email +"& country="+ country +"& website="+ website +"& bio="+ bio +"& id="+ id,  
							success: function(){  
								$("#ua_status").attr("src", "../images/success.gif");
							}  
						});
						
						flag = country.split(",");
						document.getElementById("current_country").innerHTML = "<img src=\'../images/flags/" + flag[0] + ".png\' /> " + flag[1];
						document.getElementById("current_timezone").innerHTML = flag[2];
						
					return false;  
				});  
			
				$("#btn_us").click(function() {  
			
				$("#us_status").attr("src", "../images/loading.gif");
			
					var sitename = $("#sitename").attr("value");
					var keywords = $("#keywords").attr("value");
					var description = $("#description").attr("value");
					var showinseo
					var createrobots
					var showicons
					var theme = $("#theme option:selected").val();
					var logo = $("#logo").attr("value");
					var shortedtext = $("#shortedtext").attr("value");
					var charcount = $("#charcount").attr("value");
					var hjs = $("#hjs").attr("value");
					var fjs = $("#fjs").attr("value");
					var copyright = $("#copyright").attr("value");
					var closesite
					var closemsg = $("#closemsg").attr("value");
					
					if (us.showinseo.checked == true){ showinseo="yes"; } else { showinseo="no"; }
					if (us.createrobots.checked == true){ createrobots="yes"; } else { createrobots="no"; }
					if (us.showicons.checked == true){ showicons="yes"; } else { showicons="no"; }
					if (us.closesite.checked == true){ closesite="yes"; } else { closesite="no"; }
					
						$.ajax({  
							type: "POST",  
							url: "us.php",  
							data: "sitename="+ sitename +"& keywords="+ keywords +"& description="+ description +"& showinseo="+ showinseo +"& createrobots="+ createrobots +"& showicons="+ showicons +"& theme="+ theme +"& logo="+ logo +"& shortedtext="+ shortedtext +"& charcount="+ charcount +"& hjs="+ hjs +"& fjs="+ fjs +"& copyright="+ copyright +"& closesite="+ closesite +"& closemsg="+ closemsg,  
							success: function(){  
								$("#us_status").attr("src", "../images/success.gif");
							}  
						});						
					return false;  
				});  

			
			});
		</script>
	'; 
	
	require_once('header.php');
	require_once('../functions.php');
?>

أهلا بك من جديد يا <strong><?php echo $_SESSION['username']; ?></strong> في سكربت سيف!. لا تنسى <a href="logout.php" title="تسجيل الخروج من لوحة التحكم">تسجيل الخروج</a> من لوحة التحكم عند الإنتهاء.


<ul class="tabs">
    <li><a href="#tab1">الروابط</a></li>
    <li><a href="#tab2">الخيارات</a></li>
    <li><a href="#tab3">حسابك</a></li>
</ul>

<div class="tab_container">

    <div id="tab1" class="tab_content">
    
    	<?php 
			$links = dir_list("../", false, true, "..|.|admin|images|includes|themes|smarty", false);
			
	   		if (count($links) > 0)
			{
				echo '<p>هناك حاليا <strong>'.count($links).'</strong> روابط في القائمة.</p>';
		?>
        <table cellpadding="5" cellspacing="0" class="table">
            <tr>
                <th width="70" class="th">رمز الإختصار</th>
                <th width="350" class="th">الرابط المختصر</th>
                <th width="70" class="th">تاريخ التقصير</th>
                <th width="70" class="th">عدد الضغطات</th>
                <th width="50" class="th">الخيارات</th>
            </tr>
       <?php
	   			$i = 0;
				foreach ($links as $link)
				{ ?>
						<tr class="tr">
							<td width="50" class="td"><?php echo $link; ?></td>
							<td width="200" class="td"><?php echo '<a href="'.get_real_link('../'.$link.'/index.php').
							'" target="_blank">'.get_real_link('../'.$link.'/index.php').'</a>'; ?></td>
                            <td class="td"><?php echo get_link_date($link); ?></td>
                            <td class="td"><?php echo get_link_clicks($link); ?></td>
							<td width="60" class="td"><a href="delete.php?l=<?php echo $link; ?>" title="حذف الرابط"><img src="../images/link_delete.png" /></a> <a href='javascript:editlink("<?php echo get_real_link('../'.$link.'/index.php'); ?>", "<?php echo $link; ?>");' title="تعديل الرابط"><img src="../images/link_edit.png" /></a></td>
						</tr>   
				<?php }
				
				echo '</table>';
			}
			else
			{
				echo '<strong>لا يوجد هناك أي روابط حاليا.</strong>';
			}
       ?>
		
    </div>
    
    
    <div id="tab2" class="tab_content">
    
    <?php 
		require_once('../includes/config.php');
		$themes = dir_list("../themes", false, true, "..|.", false);
		$s_result = @mysql_query("SELECT * FROM settings") or die(mysql_error());
		$settings = @mysql_fetch_array($s_result) or die(mysql_error());
	?>
    
        <form name="us" id="us" method="post">
        <table border="0" cellspacing="0" cellpadding="5">
            <tr>
            	<td>إسم الموقع :</td>
                <td><input type="text" name="sitename" id="sitename" value="<?php echo $settings[0]; ?>" /></td>
                <td><small>أكتب إسم موقعك الذي سوف يظهر للزوار و محركات البحث.</small></td>
            </tr>
            <tr>
            	<td>الكلمات المفتاحية :</td>
                <td><input type="text" name="keywords" id="keywords" size="44" value="<?php echo $settings[1]; ?>" /></td>
                <td><small>أكتب كلمات تدل على موقعك و تجذب محركات البحث, مثال: رابط, تقصير.. و أفصل كل كلمة بفاصلة <strong>,</strong></small></td>
            </tr>
            <tr>
            	<td>وصف الموقع :</td>
                <td><textarea name="description" id="description" cols="35" rows="5"><?php echo $settings[2]; ?></textarea></td>
                <td><small>قم بوصف موقعك بشكل مختصر و مفهوم و تذكر أن هذا الوصف سوف يظهر في محركات البحث.</small></td>
            </tr>
            <tr>
            	<td></td>
            	<td><input type="checkbox" value="no" name="showinseo" id="showinseo" <?php if($settings[3] == 'yes') echo 'checked="checked"'; ?> /> لا تقم بإظهار موقعي في محركات البحث ؟</td>
                <td><small>قم بتحديد هذا الخيار فقط إذا كنت تريد حجب موقعك عن محركات البحث.</small></td>
            </tr>
            <tr>
            	<td></td>
                <td><input type="checkbox" value="yes" name="createrobots" id="createrobots" <?php if($settings[4] == 'yes') echo 'checked="checked"'; ?> /> قم بإنشاء ملف <strong>robots.txt</strong> تلقائيا إذا لم يكن هناك واحد ؟</td>
                <td><small>حدد هذا الخيار إذا كنت تريد من سكربت سيف أن يقوم بإنشاء ملف روبوت تلقائيا.</small></td>
            </tr>
            <tr>
            	<td></td>
                <td><input type="checkbox" value="yes" name="showicons" id="showicons" <?php if($settings[5] == 'yes') echo 'checked="checked"'; ?> /> أظهر أيقونات المشاركة عند الإنتهاء من التقصير ؟</td>
                <td><small>سوف يتم إظهار أيقونات المشاركة مثل الفايسبوك و تويتر و غيرها إذا تم تحديد هذا الخيار.</small></td>
            </tr>
            <tr>
            	<td>مجلد القالب :</td>
                <td><select name="theme" id="theme">
                	<?php
						foreach($themes as $theme)
						{
							$themepath = 'themes/'.$theme.'/';
							echo '<option value="'.$themepath.'">'.$theme.'</option>';
						}
					?>
                </select></td>
                <td><small>قم بإختيار القالب الذي تريده من القائمة, و تذكر أنه يمكنك في أي وقت تنصيب قوالب جديدة.</small></td>
            </tr>
            <tr>
            	<td>مسار القالب الحالي هو :</td>
                <td dir="ltr" align="center"><strong><?php echo $settings[6]; ?></strong></td>
                <td><small>يمكنك تغييره عن طريق الخيار الماضي.</small></td>
            </tr>
            <tr>
            	<td>رابط الشعار :</td>
                <td><input type="text" name="logo" id="logo" size="44" value="<?php echo $settings[7]; ?>" /></td>
                <td><small>حدد مكان شعار الموقع أو أترك المكان الإفتراضي.</small></td>
            </tr>
            <tr>
            	<td>نص الرابط القصير :</td>
                <td><input type="text" name="shortedtext" id="shortedtext" size="44" value="<?php echo $settings[8]; ?>" /></td>
                <td><small>أكتب النص الذي سوف يظهر مع الرابط القصير في حالة نجاح عملية التقصير. يمكنك كتابة <strong dir="ltr">%s</strong> لإظهار الرابط القصير.</small></td>
            </tr>
            <tr>
            	<td>عدد الرموز :</td>
                <td><input type="text" name="charcount" id="charcount" size="5" value="<?php echo $settings[9]; ?>" /></td>
                <td><small>أكتب عدد الرموز الذي تريده و الذي سوف يظهر في الرابط المختصر.</small></td>
            </tr>
            <tr>
            	<td>سكربتات الصفحة العلوية :</td>
                <td><textarea name="hjs" id="hjs" cols="35" rows="5"><?php echo $settings[10]; ?></textarea></td>
                <td><small>يمكنك في أي وقت إضافة سكربتات من هنا بدل تعديل الصفحات ;) مثل (Google webmaster verify)...</small></td>
            </tr>
            <tr>
            	<td>سكربتات الصفحة السفلية :</td>
                <td><textarea name="fjs" id="fjs" cols="35" rows="5"><?php echo $settings[11]; ?></textarea></td>
                <td><small>نفس الميزة الماضية و لكن هذه المرة سوف يتم إضافة السكربتات في أسفل الصفحة.</small></td>
            </tr>
            <tr>
            	<td>نص الحقوق :</td>
                <td><textarea name="copyright" id="copyright" cols="35" rows="5"><?php echo $settings[12]; ?></textarea></td>
                <td><small>قم بحفظ حقوقك عن طريق كتابتها هنا و لكن تذكر أنه لن يتم حذف حقوقي ;)</small></td>
            </tr> 
            <tr>
            	<td></td>
            	<td><input type="checkbox" value="no" name="closesite" id="closesite" <?php if($settings[13] == 'yes') echo 'checked="checked"'; ?> /> هل تريد إغلاق الموقع ؟</td>
                <td><small>إذا كنت تريد فترة معينة لصيانة الموقع أو هناك مشاكل تقنية فيمكنك إغلاق الموقع.</small></td>
            </tr>
            <tr>
            	<td>ماذا تريد أن تقول للزوار :</td>
                <td><textarea name="closemsg" id="closemsg" cols="35" rows="5"><?php echo $settings[14]; ?></textarea></td>
                <td><small>يمكنك إستعمال HTML و تنسيق المحتوى.</small></td>
            </tr>
        </table>
        <p><button name="btn_us" id="btn_us">حفظ التغييرات</button> <img name="us_status" id="us_status" /></p>
        </form>
        
    </div>
    
    
    <div id="tab3" class="tab_content">
		
        <?php 
			$id = get_id($_SESSION['username']);
			
			require_once('../includes/config.php');
			$a_result = @mysql_query("SELECT * FROM users WHERE id='$id'") or die(mysql_error());
			$data = @mysql_fetch_array($a_result) or die(mysql_error());
			
			$country = explode(',',$data[6]);
		?>
        
		<form name="ua" id="ua" method="post">
            <table border="0" cellspacing="0" cellpadding="5">
              <tr>
                <td>الإسم الأول :</td><td><input type="text" name="fname" id="fname" value="<?php echo $data[1]; ?>" /></td>
                <td>الإسم الثاني :</td><td><input type="text" name="lname" id="lname" value="<?php echo $data[2]; ?>" /></td>
                <td><small>يمكنك كتابة أي أسماء تريدها.</small></td>
              </tr>
              <tr>
                <td>تغيير كلمة المرور :</td><td><input type="password" name="password" id="password" /></td>
                <td>أعد كتابة كلمة المرور :</td><td><input type="password" name="password2" id="password2" /></td>
                <td><small>إذا كنت لا تريد تغيير كلمة المرور, دع الخانات فارغة.</small></td>
              </tr>
              <tr>
                <td>البريد الإلكتروني :</td><td><input type="text" name="email" id="email" value="<?php echo $data[5]; ?>" dir="ltr" /></td>
                <td>الدولة (عرب فقط) :</td><td><select name="country" id="country">
                	<option value="dz,الجزائر,Africa/Algiers">الجزائر</option>
                    <option value="eg,مصر,Africa/Cairo">مصر</option>
                    <option value="sa,السعودية,Asia/Riyadh">السعودية</option>
                    <option value="tn,تونس,Africa/Tunis">تونس</option>
                    <option value="sy,سوريا,Asia/Damascus">سوريا</option>
                    <option value="jo,الأدرن,Asia/Amman">الأردن</option>
                    <option value="lb,لبنان,Asia/Beirut">لبنان</option>
                    <option value="ps,فلسطين,Asia/Gaza">فلسطين</option>
                    <option value="iq,العراق,Asia/Baghdad">العراق</option>
                    <option value="ye,اليمن,Asia/Aden">اليمن</option>
                    <option value="om,عمان,Asia/Muscat">عمان</option>
                    <option value="ae,الإمارات,Asia/Dubai">الإمارات</option>
                    <option value="qa,قطر,Asia/Qatar">قطر</option>
                    <option value="bh,البحرين,Asia/Bahrain">البحرين</option>
                    <option value="kw,الكويت,Asia/Kuwait">الكويت</option>
                    <option value="mr,موريتانيا,Africa/Nouakchott">موريتانيا</option>
                    <option value="sd,السودان,Africa/Khartoum">السودان</option>
                    <option value="ly,ليبيا,Africa/Tripoli">ليبيا</option>
                    <option value="ma,المغرب,UTC">المغرب</option>
                    <option value="km,جزر القمر,Africa/Nairobi">جزر القمر</option>
                    <option value="dj,جيبوتي,Africa/Djibouti">جيبوتي</option>
                    <option value="so,الصومال,Africa/Mogadishu">الصومال</option>
                </select></td>
                <td><small>أكتب البريد الذي سوف يستقبل رسائل السكربت (مثل إسترجاع كلمة المرور), و لا تنسى إختيار بلدك أو مكان إقامتك حاليا.</small></td>
              </tr>
              <tr>
                <td>الدولة الحالية هي :</td><td align="center"><strong id="current_country"><?php echo '<img src="../images/flags/'.$country[0].'.png" /> '.$country[1]; ?></strong></td>
                <td>التوقيت الحالي هو :</td><td><strong id="current_timezone"><?php echo $country[2]; ?></strong></td>
                </tr>
                <tr>
                <td></td><td></td>
                <td>الموقع أو المدونة :</td><td><input type="text" name="website" id="website" value="<?php echo $data[7]; ?>" dir="ltr" /></td>
                <td><small>يمكنك كتابة رابط خاص بك أو حتى رابط السكربت الحالي.</small></td>
              </tr>
            </table>
            نبذة عنك :<br /><br /><textarea name="bio" id="bio" cols="67" rows="8"><?php echo $data[8]; ?></textarea>
            <p><button name="btn_ua" id="btn_ua">حفظ التغييرات</button> <img name="ua_status" id="ua_status" /></p>
            <input type="hidden" name="id" id="id" value="<?php echo $id; ?>" />
        </form>
              
    </div>
    
</div>

<?php require_once('footer.php'); ?>