<!--
    Copyright (C) 2011  Saif Maki <saifmaki@gmail.com>.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>تثبيت سكربت سيف</title>

<style type="text/css">
	body {
		direction:rtl;
		background-color:#F3F3F3;
		font-family:Tahoma;
		font-size:12px;
	}
	
	.logo {
		width:350px;
		margin:1.8cm auto 0 auto;
		text-align:center;
	}
	
	.install {
		width:550px;
		border:#979797 2px solid;
		margin:0.1cm auto 0 auto;
		padding:10px;
		border-radius:10px;
		-webkit-border-radius:10px;
		-khtml-border-radius:10px;
		-moz-border-radius:10px;	
	}
	
	input[type=text] {
		border:#979797 1px solid;
		color:#6C6C6C;
		background-color:#FFFFFF;
		padding:3px;
		border-radius:5px;
		-webkit-border-radius:5px;
		-khtml-border-radius:5px;
		-moz-border-radius:5px;
	}
	
	input[type=password] {
		border:#979797 1px solid;
		color:#6C6C6C;
		background-color:#FFFFFF;
		padding:3px;
		border-radius:5px;
		-webkit-border-radius:5px;
		-khtml-border-radius:5px;
		-moz-border-radius:5px;
	}
	
	input[type=submit] {
		border:#979797 1px solid;
		color:#6C6C6C;
		background-color:#EAEAEA;
		padding:6px 8px;
		border-radius:8px;
		-webkit-border-radius:8px;
		-khtml-border-radius:8px;
		-moz-border-radius:8px;
		font-weight:bold;
	}
	
	input[type=submit]:hover {
		background-color:#F3F3F3;
	}
	
	small {
		color:#828282;
		font-style:italic;
	}
	
	.success {
		color:#00BB2F;
		font-weight:bold;
	}
	
	.error {
		color:#E80000;
		font-weight:bold;
	}	
</style>

</head>

<body>

	<div class="logo"><img src="images/logo.png" /></div>

	<div class="install">
    
		<?php
		
			require_once('includes/config.php');
			$error = false;
			
			if (isset($_REQUEST['submit']))
			{
				require_once('functions.php');
				
				$username = clean_input($_REQUEST['username']);
				$password = clean_input(salt($_REQUEST['password']));
				$email = clean_input($_REQUEST['email']);
				$sitename = clean_input($_REQUEST['sitename']);
				
				$status = '<p><ul>';
				
				$users_table = '
					CREATE TABLE `'.$db_name.'`.`users` (
					`id` INT NOT NULL AUTO_INCREMENT ,
					`firstname` TEXT NOT NULL ,
					`lastname` TEXT NOT NULL ,
					`username` TEXT NOT NULL ,
					`password` TEXT NOT NULL ,
					`email` TEXT NOT NULL ,
					`country` TEXT NOT NULL ,
					`website` TEXT NOT NULL ,
					`bio` TEXT NOT NULL ,
					PRIMARY KEY ( `id` )
					) ENGINE = MYISAM ;
				';
				
				$settings_table = '
					CREATE TABLE  `'.$db_name.'`.`settings` (
					`sitename` TEXT NOT NULL ,
					`keywords` TEXT NOT NULL ,
					`description` TEXT NOT NULL ,
					`showinengines` TEXT NOT NULL ,
					`createrobots` TEXT NOT NULL ,
					`showicons` TEXT NOT NULL ,
					`theme` TEXT NOT NULL ,
					`logo` TEXT NOT NULL ,
					`shortedtext` TEXT NOT NULL ,
					`charcount` TEXT NOT NULL ,
					`headerjs` TEXT NOT NULL ,
					`footerjs` TEXT NOT NULL ,
					`copyright` TEXT NOT NULL ,
					`closesite` TEXT NOT NULL ,
					`closemsg` TEXT NOT NULL
					) ENGINE = MYISAM ;
				';
				
				$users_table_query = @mysql_query($users_table);
				$settings_table_query = @mysql_query($settings_table);
				
				$users_table_update = @mysql_query("INSERT INTO users (firstname, lastname, username, password, email, country, website, bio) VALUES ('', '', '$username', '$password', '$email', 'dz,الجزائر,Africa/Algiers', '', 'مستخدم جديد لسكربت سيف :)')");
				
				$settings_table_update = @mysql_query("INSERT INTO settings (sitename, keywords, description, showinengines, createrobots, showicons, theme, logo, shortedtext, charcount, headerjs, footerjs, copyright, closesite, closemsg) VALUES ('$sitename', 'سكربت, سيف, تقصير, روابط', 'سكربت عربي رائع لتقصير الروابط :)', 'no', 'yes', 'yes', 'themes/default/', 'themes/default/images/logo.png', 'تم تقصير الرابط بنجاح : <strong>%s</strong>', '5', '', '', 'جميع الحقوق محفوظة 2011.', 'no', 'آسف و لكن الموقع تحت الصيانة حاليا, الرجاء عد لاحقا.')");				
				
				if($users_table_query)
				{
					$status .= '<div class="success"><li>تم إنشاء جدول المستخدمين بنجاح !</li></div>';
					
					if ($users_table_update)
					{
						$status .= '<div class="success"><li>تم تحديث بيانات جدول المستخدمين بنجاح !</li></div>';
					}
					else
					{
						$status .= '<div class="error"><li>لم يتم تحديث بيانات جدول المستخدم :(</li></div>';
						$error = true;
					}
					
				}
				else
				{
					$status .= '<div class="error"><li>لم يتم إنشاء جدول المستخدمين :(</li></div>';
					$error = true;
				}
				
				if($settings_table_query)
				{
					$status .= '<div class="success"><li>تم إنشاء جدول الخيارات بنجاح !</li></div>';
					
					if ($settings_table_update)
					{
						$status .= '<div class="success"><li>تم تحديث بيانات جدول الخيارات بنجاح !</li></div>';
					}
					else
					{
						$status .= '<div class="error"><li>لم يتم تحديث بيانات جدول الخيارات :(</li></div>';
						$error = true;
					}
					
				}
				else
				{
					$status .= '<div class="error"><li>لم يتم إنشاء جدول الخيارات :(</li></div>';
					$error = true;
				}
				
				if (!$error)
				{
					$done = 'مبروك! لقد تم تثبيت سكربت سيف على موقعك بنجاح و بدون أي أخطاء. يمكنك الذهاب إلى لوحة التحكم الآن و تغيير الإعدادات الإفتراضية <a href="admin" title="تسجيل الدخول إلى لوحة التحكم">بالضغط هنا</a>.';
					$rif = '<strong style="color:red;">مهم: الرجاء قم بحذف ملف install.php الآن و من ثم قم بالذهاب إلى لوحة التحكم.</strong><br /><br /><hr />';
				}
				else
				{
					$done = 'يبدو أن هناك خطأ ما في عملية التثبيت الرجاء قم بمراجعة المعلومات التي قمت بكتابتها في ملف <strong>config.php</strong> و من ثم أعد المحاولة و إذا لم ينجح الأمر يمكنك في أي وقت طرح مشكلتك <a href="http://ss.saif.cz.cc" title="قم بحل مشكلتك الآن !" target="_blank">هنا</a>.';
					$rif = '<br /><br /><hr />';
				}
				
				$status .= '</ul></p>';
				echo $done.$status.$rif;
			}
        ?>
    
		<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
        	<table border="0" cellspacing="0" cellpadding="5">
                  <tr>
                    <td>إسم المستخدم :</td>
                    <td><input type="text" name="username" value="admin" /></td>
                    <td><small>لاحظ أنه لا يمكنك تغييره في ما بعد لأنه سوف يكون إسم مستخدم المدير.</small></td>
                  </tr>
                  <tr>
                    <td>كلمة المرور :</td>
                    <td><input type="password" name="password" /></td>
                    <td><small>إختر كلمة مرور تكون قوية و صعبة التخمين, كما يمكنك تغييرها في المستقبل.</small></td>
                  </tr>
                  <tr>
                    <td>البريد الإلكتروني :</td>
                    <td><input type="text" name="email" /></td>
                    <td><small>أكتب البريد الذي سوف يستقبل رسائل السكربت و الذي سوف يتم إرسال إليه كلمة المرور في حالة فقدانها.</small></td>
                  </tr>
                  <tr>
                    <td>إسم الموقع :</td>
                    <td><input type="text" name="sitename" value="سكربت سيف" /></td>
                    <td><small>ها هو إسم الموقع الذي سوف تقوم بإنشائه الآن ؟.</small></td>
                  </tr>
                  <tr>
                    <td><input type="submit" name="submit" value="قم بتثبيت سكربت سيف الآن !" /></td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                  </tr>
            </table><hr />
            
            <p>
            	<strong>هذه هي المعلومات التي يحتوي عليها ملف config.php :</strong>
                <ul>
                	<li>إسم قاعدة البيانات : <strong><?php echo $db_name; ?></strong></li>
                    <li>إسم المستضيف : <strong><?php echo $db_host; ?></strong></li>
                    <li>إسم المستخدم : <strong><?php echo $db_user; ?></strong></li>
                    <li>كلمة المرور : <strong><?php echo $db_pass; ?></strong></li>
                </ul>
            </p>
            
            <hr />
            
            <p>
                <strong>أشياء يجب أن تعرفها قبل التثبيت !</strong>
                <ul>
                	<li>تأكد من أنك قمت بتعديل ملف <strong>config.php</strong> في مجلد <strong>includes</strong>.</li>
                	<li>لن يتم تغيير جميع الخيارات و المعلومات بل فقط سوف يتم تسجيل مستخدم جديد (أنت) و من ثم تحديث إسم الموقع, أما باقي الخيارات فيمكنك التحكم بها عند الإنتهاء من عملية التثبيت.</li>
                    <li>سوف يتم تشفير كلمة المرور بشكل عالي بإستخدام <strong>MD5</strong> و <strong>SHA1</strong> قبل وضعها في قاعدة البيانات.</li>
                    <li>عند الإنتهاء من الثبيت لا تنسى حذف ملف <strong>install.php</strong> من موقعك نهائيا.</li>
                    <li>إذا واجهتك مشكلة أو إذا كان لديك سؤال فلا تتردد في طرحه علي و يمكنك <a href="http://ss.saif.cz.cc" target="_blank">إيجادي هنا</a>.</li>
                </ul>
            </p>
            
        </form>
    
    </div>

</body>
</html>
